﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace ConsoleApplication1
{
    class Program
    {
        const int TRUE = 1;
        const int FALSE = 0;
        const int COMPRESSION_NONE = 1;			// dump mode
        const int COMPRESSION_CCITTRLE = 2;		// CCITT modified Huffman RLE
        const int COMPRESSION_CCITTFAX3 = 3;	// CCITT Group 3 fax encoding
        const int COMPRESSION_CCITTFAX4 = 4;	// CCITT Group 4 fax encoding
        const int COMPRESSION_LZW = 5;			// Lempel-Ziv  & Welch
        const int COMPRESSION_JPEG = 7;			// %JPEG DCT compression
        const int COMPRESSION_PACKBITS = 32773;	// Macintosh RLE
        
        [DllImport(@"ps2imgsdk.dll", CharSet = CharSet.Auto)]
        static extern uint VeryPDF_PSToImageConverter(
            [MarshalAs(UnmanagedType.LPStr)] string FileName,
            [MarshalAs(UnmanagedType.LPStr)] string OutputName,
            int nIsWidthAndHeight, int xResORWidth, int yResORHeight, int nCompression, int bIsMultiPage,
            int nFirstPage, int nLastPage, int nQuality, int nBitCount, int bGrayscale,
            IntPtr lpUserPassword, IntPtr lpOwnPassword, int bTransparentBackground);

        [DllImport(@"ps2imgsdk.dll", CharSet = CharSet.Ansi)]
        static extern uint VeryPDF_PSToImageSetCode(string lpRegcode);

        static void Main(string[] args)
        {
            string lpPSFile = "C:\\test.ps";
            string lpImgFile = "C:\\test.png";
            IntPtr UserPassword = IntPtr.Zero;
            IntPtr OwnPassword = IntPtr.Zero;
            int bTransparentBackground = 1;
            VeryPDF_PSToImageSetCode("XXXXXXXXXXXXXXXXXXXXXXX");
            uint nResult = VeryPDF_PSToImageConverter(lpPSFile, lpImgFile, FALSE, 200, 200, COMPRESSION_PACKBITS,
                FALSE, -1, -1, 100, 24, FALSE, UserPassword, OwnPassword, bTransparentBackground);
        }
    }
}
